%global _hardened_build 1

Name:           preload
Version:        0.6.4
Release:        13%{?dist}
Summary:        Preload is an adaptive readahead daemon
Group:          Applications/System
License:        GPLv2+
URL:            http://preload.sf.net/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.service

Patch0:         preload-0.6-start-late.patch

BuildRequires:  basesystem, glib2-devel, help2man
Requires:       basesystem, logrotate

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
BuildRequires:    systemd


%description
preload runs as a daemon and gathers information about processes running on
the system and shared-objects that they use.  This information is saved in a
file to keep across runs of preload

%prep
%setup -q
%patch0 -p1 -b .start-late

%build
%configure
make


%install
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}/*
rm -rf %{buildroot}%{_sysconfdir}/rc.d

# systemd unit
install -Dm644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%doc README AUTHORS COPYING ChangeLog TODO THANKS NEWS doc/index.txt doc/proposal.txt
%{_sbindir}/preload
%{_datadir}/man/man8/preload.8.gz
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/preload.conf
%config(noreplace) %{_sysconfdir}/sysconfig/preload
%config(noreplace) %{_sysconfdir}/logrotate.d/preload
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/preload.log
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/lib/preload/preload.state
%attr(0755,root,root) %dir %{_localstatedir}/lib/preload


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 19 2013 Jaromir Capik <jcapik@redhat.com> - 0.6.4-9
- Introducing systemd unit (#951956)

* Wed Aug 21 2013 Jaromir Capik <jcapik@redhat.com> - 0.6.4-8
- Hardened build (#996742)
- Spec cleaning
- Fixing bogus dates in the changelog
- Fixing build failure due to installed but unpackaged txt files

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 15 2009 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.3-1
- Update to 0.6.3

* Mon Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.2-1
- Update to 0.6.2
- Actually resolves bug #456742 this time

* Mon Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.1-1
- Update to 0.6.1
- Resolves bug #456742

* Thu Jul 24 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6-1
- Update to 0.6
- Remove all patches.  They are all obsolete by upstream now.
- Add preload-0.6-start-late.patch to start preload as last service.
  We use readahead for boot speedup, and want preload just for login/desktop
  speedup.  So, start it last.

* Wed Feb 13 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-6
- Rebuild for gcc4.3

* Wed Jan 16 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-5
- Removed auto start from init
- Added all the CVS patches prior to next release

* Sun Jan 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-4
- Removed debian patch and added patches from upstream instead
- Patches fix 64 bit, ionice, sysconfig and loading.

* Fri Nov 9 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-3
- Used Debian Patch it consists of:
- Close the file descriptor when writing state to a file in src/state.c,
- Parse the dev field in /proc/%%d/maps as hexadecimal, not as unsigned
  integer.  Thanks to Johan Kiviniemi for the patch.
- Sort the readahead file list by device, block and inode and not file
  path to reduce seeking.  Adapted by Johan from a patch for readahead
  by Scott James Remnant.
- Added my patch to verbosity to 1 due to 30 second log writing
 
* Thu Nov 8 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-2
- Fixed config lines
- Fixed source lines
- Added Requires: Logrotate
- Default preload sequence is stopped
- %{?_smp_mflags} does not work

* Tue Oct 16 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-1
- Creation from start
